<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for lisppgResponse StructType
 * Meta informations extracted from the WSDL
 * - type: tns:lisppgResponse
 * @subpackage Structs
 */
class LisppgResponse extends AbstractStructBase
{
    /**
     * The return
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ClsTPPG[]
     */
    public $return;
    /**
     * Constructor method for lisppgResponse
     * @uses LisppgResponse::setReturn()
     * @param \StructType\ClsTPPG[] $return
     */
    public function __construct(array $return = array())
    {
        $this
            ->setReturn($return);
    }
    /**
     * Get return value
     * @return \StructType\ClsTPPG[]|null
     */
    public function getReturn()
    {
        return $this->return;
    }
    /**
     * Set return value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsTPPG[] $return
     * @return \StructType\LisppgResponse
     */
    public function setReturn(array $return = array())
    {
        foreach ($return as $lisppgResponseReturnItem) {
            // validation for constraint: itemType
            if (!$lisppgResponseReturnItem instanceof \StructType\ClsTPPG) {
                throw new \InvalidArgumentException(sprintf('The return property can only contain items of \StructType\ClsTPPG, "%s" given', is_object($lisppgResponseReturnItem) ? get_class($lisppgResponseReturnItem) : gettype($lisppgResponseReturnItem)), __LINE__);
            }
        }
        $this->return = $return;
        return $this;
    }
    /**
     * Add item to return value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsTPPG $item
     * @return \StructType\LisppgResponse
     */
    public function addToReturn(\StructType\ClsTPPG $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsTPPG) {
            throw new \InvalidArgumentException(sprintf('The return property can only contain items of \StructType\ClsTPPG, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->return[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\LisppgResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
